Status: New Priority: Should have
Author: Sebastian Kurfuerst Category: Server Administration
Created: 2009-01-06 Assigned To:
Updated: 2011-12-14 Due date:
Subject: PDF Documentation
Description

We want a rendered PDF documentation of our docbook.
See attached file for some draft how it could work.

History
#1 - 2009-01-09 13:52 - Peter Beernink
- File FLOW3_documentation.pdf added

Using the script of Sebastian I've created a first PDF version of the FLOW3 documentation (based on r1700).
I'm not happy with the way the code examples are currently rendered, so that will be getting some extra attention.

#2 - 2009-01-09 13:59 - Sebastian Kurfuerst

Hey Peter,

nice work so far! I think there are icons for "Note", "Warning", ..., which are still missing. Proboably it does not find these images.

Greets,
Sebastian

#3 - 2009-01-29 22:32 - Peter Beernink
- File FLOW3_Documentation.pdf added
- File imagedata.diff added

Added an updated version of the PDF (based on r1822).
In order to have the images being rendered correctly, I've added some additional attributes to the imagedata tags. See attached diff for the
modifications, however, I do not know if they have any effect to the way the HTML is rendered on the flow3.typo3.org site.

The 'admon' images used are from the ubuntu-serverguide package.

#4 - 2009-02-10 21:08 - Peter Beernink
- File FLOW3_Documentation.pdf added

Updated version of the PDF. The documentation now is based on r1890.

#5 - 2009-02-13 09:01 - Peter Beernink
- File FLOW3_Documentation.tgz added

Attached all files used to render the last PDF.
The tarball contains the following files:
    -  XSLT file to generate the .fo file
    -  COnfiguration files
    -  jar file for syntax highlighting functions
    -  Shellscripts to generate the PDF file
    -  SVG version of the FLOW3 logo

The last one is not used in the PDF files posted so far.

For more info on how to use it, please have a look at the README file.

#6 - 2009-02-19 13:10 - Karsten Dambekalns
- File FLOW3-proposed-documentation-structure.zip added

Currently index.xml is a book containing an info section and the sections (within a chapter grouping them). To be able to render a book and a part from
the same documentation:

    -  index.xml would be like it is now (defining a book). The sections in the current documentation would become chapters. An example of a "new"
FLOW3 documentation is attached to this issue now.

    -  when rendering a book containing multiple packages Part.xml from a package's documentation would be used. An example for such a file is
included in the attached archive, this could/should(?) be generated automatically when rendering.

#7 - 2009-02-22 23:16 - Karsten Dambekalns
- File FLOW3_Documentation_v2.zip added
- File FLOW3_Documentation.pdf added

Based on Peters work I invested some hours and pimped the documentation generation process:

    -  no longer needed to adjust any paths
    -  contains everything except fop, xsltproc, xmllint
    -  using DocBook XSL-NS stylesheets (namespace-aware)
    -  updated PHP highlighting, added YAML highlighting
    -  syntax highlighting now with colors
    -  some small changes to the render scripts
    -  updated the README

Great results by now, I tested it with the updated documentation structure suggested in my earlier comment (which I will commit to SVN the next
days).

#8 - 2009-02-23 14:29 - Karsten Dambekalns
- File FLOW3_Documentation_v3.zip added
- File FLOW3_Documentation.pdf added
I tweaked a little more, now using the FreeMono font for code, as it has a glyph for the ↩ character I used for wrapping too long lines in code listings. I
also added Share Bold, so that headings now use the font they should (previously there was a warning and the bold was substituted with the regular
variant).

There is something flaky with the font handling, as sometimes Preview on the Mac display the headings wrong (a box per character), this disappears
after reopening a few times and works fine in Adobe Reader. Using fop 0.95 seems to help...

For the attached PDF I used locally tuned XML in which I mostly fixed language attributes for the listings (quite some YAML was declared as PHP) and
wrapped too long lines in code listings. Doing this manually is the best method for now, as it a) works and b) gives most control.

#9 - 2009-07-30 18:17 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#10 - 2010-04-07 18:53 - Karsten Dambekalns
- % Done changed from 0 to 80

We have that for ages by now :)

It needs some more flexibility and has to be automated a little more, but we're on track.

#11 - 2011-12-14 22:38 - Karsten Dambekalns
- Status changed from Accepted to New
- Assigned To deleted (Karsten Dambekalns)
- % Done changed from 80 to 0

So, we are back at square one with reStructuredText. :)

Files
pdf-documentation-example.zip 132.4 kB 2009-01-06 Sebastian Kurfuerst
FLOW3_documentation.pdf 444.3 kB 2009-01-09 Peter Beernink
FLOW3_Documentation.pdf 703.2 kB 2009-01-29 Peter Beernink
imagedata.diff 3.1 kB 2009-01-29 Peter Beernink
FLOW3_Documentation.pdf 732.3 kB 2009-02-10 Peter Beernink
FLOW3_Documentation.tgz 103.5 kB 2009-02-13 Peter Beernink
FLOW3-proposed-documentation-structure.zip 923 kB 2009-02-19 Karsten Dambekalns
FLOW3_Documentation_v2.zip 2.6 MB 2009-02-22 Karsten Dambekalns
FLOW3_Documentation.pdf 1001.9 kB 2009-02-22 Karsten Dambekalns
FLOW3_Documentation_v3.zip 3.8 MB 2009-02-23 Karsten Dambekalns
FLOW3_Documentation.pdf 1 MB 2009-02-23 Karsten Dambekalns

2015-08-03 3/3


